use serde::{Deserialize, Serialize};

#[derive(Debug, Deserialize, Serialize)]
pub struct RequestError {
    pub error_msg: String,
}

impl RequestError {
    pub fn new(msg: &str) -> Self {
        RequestError{
            error_msg: msg.to_string(),
        }
    }
}