use serde::{Deserialize, Serialize};

#[derive(Debug, Deserialize, Serialize)]
pub struct RequestSuccess {
    pub msg: String,
}

impl RequestSuccess {
    pub fn new(msg: &str) -> Self {
        RequestSuccess{
            msg: msg.to_string(),
        }
    }
}