use chrono::{DateTime, Utc};
use crate::model::version::Version;
use serde::{Deserialize};

#[derive(Deserialize)]
pub struct GitlabPackage {
    pub id: u32,
    pub name: String,
    pub version: Version,
    pub created_at: DateTime<Utc>
}