use chrono::{DateTime, Utc};
use serde::{Serialize, Deserialize};

#[derive(Debug, Serialize, Deserialize)]
pub struct GitlabPackageFile {
    pub id: i32,
    pub file_name: String,
    pub created_at: DateTime<Utc>
}