function create_device(event) {
    let error_msg = "Something wrong"

    event.preventDefault();

    const data = new FormData(event.target);

    let value = Object.fromEntries(data.entries());
    value.port = parseInt(value.port)
    fetch("/connections/new", {
        method: "POST",
        redirect: 'follow',
        cache: "no-cache",
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(value)
    })
        .then(e => {if (!e.ok) alert(error_msg)}
    )
}

const form = document.querySelector("body > div > form");
form.addEventListener('submit', create_device);