function create_device_storage_key(device_id, configuration_id) {
	return `${device_id}_${configuration_id}`;
}

function create_attraction_storage_key(device_id, configuration_id) {
	return `${device_id}_${configuration_id}`;
}


function load_device_storage(device_id, configuration_id) {
	let key = create_device_storage_key(device_id, configuration_id);
	console.log(key)
	return JSON.parse(localStorage.getItem(key));
}

function save_device_data(device_id, configuration_id, args, env) {
	let key = create_device_storage_key(device_id, configuration_id);
	args = args.filter(x => x != "");
	let data = 
		{
			args: args,
			env: env
		}
	return localStorage.setItem(key, JSON.stringify(data));
}
