let POST = "POST"
let GET = "GET"

function form_to_json(form) {
   return Object.fromEntries(form.entries());
}

function form_to_json_string(form) {
   let formData = new FormData(form);
   return JSON.stringify(Object.fromEntries(formData))
}

function make_json_request(type, req, body) {
    return fetch(req, {
        method: type,
        cache: "no-cache",
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(body)
    })
}